Interface to define additional configuration options to control how the dynamic prototype functions operate.

### Hierarchy

- IDynamicProtoOpts

## Index

### Properties

- setInstFuncs
- useBaseInst

## Properties

### setInstFuncs

setInstFuncs: boolean

- Defined in DynamicProto.ts:462

Should the dynamic prototype attempt to set an instance function for instances that do not already have an function of the same name or have been extended by a class with a (non-dynamic proto) prototype function.

### Optional useBaseInst

useBaseInst: boolean

- Defined in DynamicProto.ts:468

When looking for base (super) functions if it finds a dynamic proto instances can it use the instance functions and bypass the prototype lookups. Defaults to true.

Generated using TypeDoc